\caption{Ускорение (\texttt{CUDA vs OpenMP})}
\begin{tabular}{|c|c|c|c|c|c|c|c|}
	\hline\multicolumn{1}{|c|}{$N$}      & \multicolumn{1}{|c|}{$P$} & \multicolumn{1}{|c|}{$T_{omp}$} & \multicolumn{1}{|c|}{$S_{omp}$} & \multicolumn{1}{|c|}{$T_{cuda}$} & \multicolumn{1}{|c|}{$S_{cuda}$} & \multicolumn{1}{|c|}{$T_{omp}/T_{cuda}$} & \multicolumn{1}{|c|}{$\delta$}        \\
	\hline\hline\multirow{5}{*}{$128^3$} & $1$                       & $0.4476s$                       & $1.0000\times$                  & $0.0391s$                        & $1.0000\times$                   & $11.444\times$                           & \multirow{5}{*}{$4.4{\cdot}10^{-07}$} \\
	\cline{2-7}                          & $2$                       & $0.2352s$                       & $1.9036\times$                  & $0.0225s$                        & $1.7383\times$                   & $10.451\times$                           &                                       \\
	\cline{2-7}                          & $4$                       & $0.1266s$                       & $3.5351\times$                  & $0.0561s$                        & $0.6975\times$                   & $2.2580\times$                           &                                       \\
	\cline{2-7}                          & $6$                       & $0.0933s$                       & $4.7963\times$                  & $0.0424s$                        & $0.9228\times$                   & $2.2019\times$                           &                                       \\
	\cline{2-7}                          & $8$                       & $0.0688s$                       & $6.5108\times$                  & $0.0341s$                        & $1.1457\times$                   & $2.0137\times$                           &                                       \\
	\hline\hline\multirow{5}{*}{$256^3$} & $1$                       & $3.5230s$                       & $1.0000\times$                  & $0.3931s$                        & $1.0000\times$                   & $8.9616\times$                           & \multirow{5}{*}{$1.1{\cdot}10^{-07}$} \\
	\cline{2-7}                          & $2$                       & $1.7706s$                       & $1.9897\times$                  & $0.2292s$                        & $1.7153\times$                   & $7.7256\times$                           &                                       \\
	\cline{2-7}                          & $4$                       & $0.9384s$                       & $3.7543\times$                  & $0.1753s$                        & $2.2420\times$                   & $5.3518\times$                           &                                       \\
	\cline{2-7}                          & $6$                       & $0.6429s$                       & $5.4795\times$                  & $0.1274s$                        & $3.0861\times$                   & $5.0472\times$                           &                                       \\
	\cline{2-7}                          & $8$                       & $0.5086s$                       & $6.9267\times$                  & $0.1025s$                        & $3.8358\times$                   & $4.9627\times$                           &                                       \\
	\hline\hline\multirow{5}{*}{$512^3$} & $1$                       & $29.937s$                       & $1.0000\times$                  & $3.4947s$                        & $1.0000\times$                   & $8.5665\times$                           & \multirow{5}{*}{$2.4{\cdot}10^{-08}$} \\
	\cline{2-7}                          & $2$                       & $14.089s$                       & $2.1248\times$                  & $2.0035s$                        & $1.7442\times$                   & $7.0321\times$                           &                                       \\
	\cline{2-7}                          & $4$                       & $7.4358s$                       & $4.0260\times$                  & $1.1208s$                        & $3.1180\times$                   & $6.6345\times$                           &                                       \\
	\cline{2-7}                          & $6$                       & $5.1100s$                       & $5.8585\times$                  & $0.7650s$                        & $4.5682\times$                   & $6.6798\times$                           &                                       \\
	\cline{2-7}                          & $8$                       & $4.0037s$                       & $7.4772\times$                  & $0.5809s$                        & $6.0160\times$                   & $6.8923\times$                           &                                       \\
	\hline
\end{tabular}